S_THISDIR := "${@os.path.dirname(bb.data.getVar('FILE', d, True))}"
FILESPATH =. "${@base_set_filespath(["${S_THISDIR}/${PN}"], d)}:"

PRINC="16"

SRC_URI += "file://journald.conf"

SRC_URI_append_sysmobts-v1 = " file://system.conf"
SRC_URI_append_sysmobts-v2 = " file://system.conf"

# Disable depedency on dbus
RDEPENDS_${PN} = ""


# TODO: disable systemd-logind as it needs dbus
SYSTEMD_DISABLED_NATIVE_SERVICES = " \
  systemd-logind \
"

pkg_postinst_${PN}_append () {
        cd $D${sysconfdir}/init.d

        echo "Disabling the following native services: "

        OPTS=""

        if [ -n "$D" ]; then
                OPTS="--root=$D"
        fi

        for i in ${SYSTEMD_DISABLED_NATIVE_SERVICES} ; do
                if [ \( -e $i -o $i.sh \) -a ! -e $D${sysconfdir}/systemd/system/$i.service ] ; then
                        echo -n "$i: " ; systemctl ${OPTS} mask $i.service
                fi
        done ; echo
}

do_install_append() {
        install -m 0644 ${WORKDIR}/journald.conf ${D}${sysconfdir}/systemd/

        if [ -e ${WORKDIR}/system.conf ]; then
            install -m 0644 ${WORKDIR}/system.conf ${D}${sysconfdir}/systemd/
        fi
}
